Despre WordPress şi update-uri

Astăzi, WordPress ne-a încântat cu un nou update. Este vorba despre versiunea 3.0 a scriptului, o varianta pe care eu cel puţin o aştept de foarte mult timp.

În acest articol nu vreau să vorbim despre cum se face update-ul, sau cu ce-a venit nou WordPress 3.0, ci, mai degrabă, despre motivele pentru care ar trebui să faci update-urile fără să stai pe gânduri.

Securitate sporită

Dacă varianta ta de WordPress încă se mai află pe la versiunea 2.8, sau mai mică, unul dintre motivele pentru care ar trebui să faci update ar fi securitatea. Blogul tău este mai uşor de spart dacă rulezi pe o versiune mai veche de WordPress.

E ca şi cum ai rula pe un antivirus updatat în 2008. Din 2008 până acum, au mai apărut mii de viruşi, iar pentru că antivirusul tău nu e updatat, îi vede ca fişiere normale, neinfectate.

Aşa şi cu WordPress. Hackerii au evoluat destul de mult în ultimii ani, iar dacă tu rulezi pe o versiune care a apărut anul trecut, s-ar putea să te trezeşti că până şi un copil de clasa a V-a îţi poate sparge blogul.

New features

Fie că vii de la o versiune mult mai veche de WordPress (cum ar fi 2.6), sau că vii de la cea care a fost înaintea lui 3.0, vei observa şi te vei bucura de noile features pe care le oferă scriptul. Dacă nu ştii despre ce e vorba, n-ar strica puţină documentaţie.

Compatibilitatea pluginurilor

Pluginurile se updatează periodic, în funcţie de noile versiuni pe care le scoate WordPress-ul, pentru că vor să fie funcţionabile întotdeauna şi să profite de fiecare feature pe care-l aduce scriptul.

Dacă tu încă stai pe versiunea 2.8, iar pluginul este făcut să funcţioneze în totalitate pe 3.0, s-ar putea să te trezeşti cu setări care sunt degeaba acolo şi să-ţi dai pumni în cap pentru că nu ştii de ce nu se întâmplă nimic atunci când schimbi nu-ştiu-ce opţiune. Acum ştii, ceea ce-ţi oferă pluginul, nu este suportat de versiunea ta de WordPress.

Totuşi, de ce n-ai face update-ul?

WordPress-ul nu este ca Windows-ul piratat pe care rulezi, adică atunci când îi faci update să fie mari şanse ca cei de la Windows să descopere că n-ai o copie Genuine şi să nu-l mai poţi folosi ca lumea. WordPress este un script freeware, iar update-urile sunt făcute ca să îmbunătăţească platforma pe care tu-ţi rulezi blogul, nu ca să te prindă şi să facă mişto de tine.

Aşadar, ce te-ar putea determina să nu faci update?

Lasă un comentariu

10 comentarii

  • Serginho 18 Iun 2010, ora 22:41

    Lenea… =)
    Am vazut dimineata versiunea 3.0 dar am facut-o abia pe la 18:00, ca sa fac back-up.

    • Florea Cristian 18 Iun 2010, ora 22:46

      bine ca ai facut-o :D

  • A.Dragos 18 Iun 2010, ora 23:23

    Diferentele nu sunt foarte mari intre versiunea 2.9.2 si cea 3.0, insa cu siguranta este mai bun. Fie ca-i vorba de siguranta, fie de rapiditate, este superior versiunii anterioare.

  • Shmen 19 Iun 2010, ora 08:36

    Imi place 3.0 … e chiar tare.

  • Florin 19 Iun 2010, ora 12:16

    pai eu fac update si la windows – nu ma prinde nimeni si nimeni nu face misto de mine :)) :D si nu, nu am windows original ;))

    • Florea Cristian 19 Iun 2010, ora 13:31

      si eu fac asta, dar vorba vine :))

  • Marius Moga 19 Iun 2010, ora 12:47

    Mai astept, am vazut ca unii au intampinat ceva probleme…

    • Florea Cristian 19 Iun 2010, ora 13:34

      ce probleme?

      daca faci backup inainte si ai probleme, poti oricand sa revii la fosta varianta.

      eu am facut update la 5 bloguri ieri si nici macar unul n-a avut probleme

      • Marius Moga 19 Iun 2010, ora 14:21

        Nu stiu exact, mai multi se plangeau…acum incerc si eu sa fac un backup si apoi upgrade.

  • Grafiko 21 Iun 2010, ora 01:41

    Majoritatea inbunatatirilor sunt de partea webdeveloparilor, dezvoltatorilor de teme wordpress, dar si utilizatorului final, in mica parte cei drept, managmentul meniu-lui, custom post types, custom taxonomies, posibilitatea de multi site si binenteles noua tema default, la care vom vedea 15.000 de variante, toate unice in felul lor (alte imagini in header, culori background).

    Am facut deja update si oricum pana sa fac m-am jucat cu beta-urile si rc-ul, am creat 3 teme compatibile (paid) cu noul meniu, in felul asta cand a iesit 3.0 totul a decurs normal si temele erau compatibile.

    Nu am intalnit nici un bug pana acum, sper sa nu gasesc insa, singura problema este un plugin care nu mai este compatibil si creatorul a renuntat la suport, dar sunt sigur ca va aparea ceva asemanator oricum.